.carousel {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
}

.slides {
  height: 100%;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

slot[name='slides']::slotted(li){
  width: 100%;
  height: 100%;
  background: no-repeat center center;
  background-size: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  -webkit-transition: left 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  visibility: hidden;
}
slot[name='slides']::slotted(li.current){
    visibility: visible;
    left: 0;
    z-index: 3;
}
slot[name='slides']::slotted(li.next){
    left: 100%;
}
slot[name='slides']::slotted(li.prev){
    left: -100%;
}

.pause{
  position: absolute;
  bottom: 14px;
  left: 0px;
  z-index: 7;
  border:none;
  background-color: transparent;
  color:white;
  height:24px;
  width:40px;
}

.controls {
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: absolute;
  top: calc(50% - 24px);
  left: 0;
  width: 100%;
  z-index: 6;

  .nav-btn {
    background-image: url('./images/semi-circle.svg');
    background-color: transparent;
    height: 60px;
    width: 30px;
    border:none;
    position: absolute;
    &.next-slide-btn{
      right: 0px;
      pearson-icon{
        top: 19px;
        left: 6px;
      }
    }
    &.prev-slide-btn{
      left: 0px;
      transform: rotate(180deg);
      pearson-icon{
        right: 0px;
        margin-bottom: 3px;
        bottom: 15px;
        transform: rotate(180deg);
      }
    }
    pearson-icon {
      pointer-events: none;
      fill: #666;
      position: absolute;
      height:24px;
    }
    &:hover {
      svg {
        fill: #047A9C;;
      }
    }
  }
}

.slidenav {
  position: absolute;
  bottom: 24px;
  left: 50%;
  margin-left: -50%;
  display: flex;
  justify-content: center;
  z-index: 6;
  width: 100%;

  button {
    border: 0;
    border-radius: 50%;
    background: #007fa3;
    height: 12px;
    width: 12px;
    outline: 0;
    line-height: 0;
    font-size: 0;
    color: transparent;
    padding: 0;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.15);
    margin: 0 10px 0 0;

    &[aria-selected='true'] {
      background-color: #fff;
    }
    &:focus{
      box-shadow: 0 0 0 2px #fff, 0 0 0 4px #1977d4;
    }
  }
}

button:focus{
  outline:none;
  box-shadow: 0 0 0 2px #fff, 0 0 0 4px #1977d4;
}
